/** This is a user-defined Exception, derived from IOException, used when a
    user tries to set the free time constraints on a Schedule object that has
    already had the free time constraints set.
  @author Anthony Furst 
  @version 1.1
  @since 1.1
*/

package com.example.model;

import java.io.*;

public class FreeTimesAlreadySetException extends IOException {
    public FreeTimesAlreadySetException() 
    	{ }

    public FreeTimesAlreadySetException(String gripe) {
	super(gripe);
    }

    public String getMessage() {
	return super.getMessage();
    }
}
